/*
 * @Author: 吴永生#A02208 yongsheng.wu@wholion.com
 * @Date: 2022-05-31 10:18:13
 * @LastEditors: 吴永生#A02208 yongsheng.wu@wholion.com
 * @LastEditTime: 2022-06-01 09:23:16
 * @FilePath: /bkunyun/src/views/Project/ProjectSetting/index.tsx
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { memo, useState } from "react";

import { Box } from "@mui/system";
import projectImg from "@/assets/project/projectIconSmall.svg";
import Tab from "@mui/material/Tab";
import { TabContext, TabList, TabPanel } from "@mui/lab";
import ProjectMembers from "./ProjectMembers";
import BaseInfo from "./BaseInfo";

const ProjectSetting = () => {
  const [value, setValue] = useState("projectMember");

  console.log(setValue, 111);
  const changeTabs = (a: any, val: any) => {
    setValue(val);
  };

  return (
    <Box style={{ padding: 24 }}>
      <div>
        <img src={projectImg} alt="项目logo" />
        <span>项目名称A</span>
      </div>

      <Box sx={{ width: "100%", typography: "body1" }}>
        <TabContext value={value}>
          <Box sx={{ borderBottom: 1, borderColor: "divider" }}>
            <TabList onChange={changeTabs} aria-label="lab API tabs example">
              <Tab label="项目成员" value="projectMember" />
              <Tab label="基础信息" value="baseInfo" />
            </TabList>
          </Box>
          <TabPanel value="projectMember">
            <ProjectMembers />
          </TabPanel>
          <TabPanel value="baseInfo">
            <BaseInfo />
          </TabPanel>
        </TabContext>
      </Box>
    </Box>
  );
};

export default memo(ProjectSetting);
